> ## Documentation Index
> Fetch the complete documentation index at: https://pedirgasdocs.supergasbras.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Post v1consumersbotmaker



## OpenAPI

````yaml https://consumer-ms.supergasbras.app/swagger/v1/swagger.json post /v1/consumers/botmaker
openapi: 3.0.1
info:
  title: CTech Consumer
  description: Service responsible for handling Consumer version 1.0
  version: '1.0'
servers: []
security:
  - Bearer: []
paths:
  /v1/consumers/botmaker:
    post:
      tags:
        - Consumers
      parameters:
        - name: api-version
          in: query
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RegisterConsumerUsingBot'
          text/json:
            schema:
              $ref: '#/components/schemas/RegisterConsumerUsingBot'
          application/*+json:
            schema:
              $ref: '#/components/schemas/RegisterConsumerUsingBot'
      responses:
        '200':
          description: Success
components:
  schemas:
    RegisterConsumerUsingBot:
      type: object
      properties:
        name:
          type: string
          nullable: true
        phone:
          type: string
          nullable: true
      additionalProperties: false
  securitySchemes:
    Bearer:
      type: http
      description: JWT Authorization header using the Bearer scheme.
      scheme: Bearer
      bearerFormat: JWT

````